import java.applet.Applet;
import java.awt.*;
import java.awt.event.*;


public class SimpleDraw extends Applet {
  protected int lastX=0, lastY=0;

  private class PositionRecorder extends MouseAdapter {
     public void mouseEntered(MouseEvent event) {
       record(event.getX(), event.getY());
     }

     public void mousePressed(MouseEvent event) {
       record(event.getX(), event.getY());
     }
  }

  private class LineDrawer extends MouseMotionAdapter {
    public void mouseDragged(MouseEvent event) {
      int x = event.getX();
      int y = event.getY();
      getGraphics().drawLine(lastX, lastY, x, y);
      record(x, y);
    }
  }

  public void init() {
    setBackground(Color.white);
    addMouseListener(new PositionRecorder());
    addMouseMotionListener(new LineDrawer());
  }

  protected void record(int x, int y) {
    lastX = x;
    lastY = y;
  }
}
